Name:		usbmuxd
Version:	0.1.4
Release:	2%{?dist}
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone

Group:		Applications/System
License:	GPLv2+ and LGPLv2+
URL:		http://cgit.pims.selfip.net/usbmuxd/
Source0:	http://cgit.pims.selfip.net/%{name}/snapshot/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libusb-devel
BuildRequires:	automake autoconf libtool

Patch0:		0002-Port-udev-rules-to-newer-kernels.patch

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: usbmuxd = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .new-kernel

%build
%configure --enable-static=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.{a,la}

# Install udev rules in the correct location
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/
install -D -p -m0644 udev/85-usbmuxd.rules $RPM_BUILD_ROOT/lib/udev/rules.d/85-usbmuxd.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
/lib/udev/rules.d/85-usbmuxd.rules
%{_bindir}/iproxy
%{_libdir}/libusbmuxd.so.*
%{_sbindir}/usbmuxd

%files devel
%defattr(-,root,root,-)
%doc README.devel
%{_includedir}/*.h
%{_libdir}/libusbmuxd.so
%{_libdir}/pkgconfig/libusbmuxd.pc

%changelog
* Fri Aug 14 2009 Bastien Nocera <bnocera@redhat.com> 0.1.4-2
- Make usbmuxd autostart on newer kernels
- (Still doesn't exit properly though)

* Mon Aug 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-1
- Update to 0.1.4

* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.3-1
- Update to 0.1.3, review input

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Update to 0.1.2

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaging
